Package org.jboss.resteasy.cdi.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 25, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `annotatedTypeNull()` |
    `String` | `beanDoesNotHaveScopeDefined​(Class<?> clazz, Annotation scope)` |
    `String` | `beanHasScopeDefined​(Class<?> clazz)` |
    `String` | `beanIsSLSBOrSingleton​(Class<?> clazz)` |
    `String` | `beansFound​(Type type, Set<javax.enterprise.inject.spi.Bean<?>> beans)` |
    `String` | `discoveredCDIBeanApplication​(String classname)` |
    `String` | `discoveredCDIBeanJaxRsProvider​(String classname)` |
    `String` | `discoveredCDIBeanJaxRsResource​(String classname)` |
    `String` | `doingALookupForBeanManager​(String name)` |
    `String` | `errorOccurredLookingUpServletContext()` |
    `String` | `errorOccurredLookingUpViaCDIUtil()` |
    `String` | `foundBeanManagerAtJavaApp()` |
    `String` | `foundBeanManagerAtJavaComp()` |
    `String` | `foundBeanManagerInServletContext()` |
    `String` | `foundBeanManagerViaCDI()` |
    `String` | `noCDIBeansFound​(Class<?> clazz)` |
    `String` | `noLookupInterface​(Class<?> clazz)` |
    `String` | `skippingValidationOutsideResteasyContext()` |
    `String` | `typeWillBeUsedForLookup​(Type type, Class<?> clazz)` |
    `String` | `unableToFindCDIClass()` |
    `String` | `unableToFindServletContextClass()` |
    `String` | `unableToLookupBeanManager()` |
    `String` | `unableToObtainBeanManager​(String name)` |
    `String` | `unableToObtainResteasyCdiExtension()` |
    `String` | `unableToPerformJNDILookups()` |
    `String` | `usingCdiConstructorInjector​(Class<?> clazz)` |
    `String` | `usingInterfaceForLookup​(Type type, Class<?> clazz)` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### annotatedTypeNull

          @Message(id=10500,
                   value="ProcessInjectionTarget.getAnnotatedType() returned null. As a result, JAX-RS property injection will not work.")
          String annotatedTypeNull()

    - #### beanDoesNotHaveScopeDefined

          @Message(id=10505,
                   value="Bean {0} does not have the scope defined. Binding to {1}.",
                   format=MESSAGE_FORMAT)
          String beanDoesNotHaveScopeDefined​(Class<?> clazz,
                                             Annotation scope)

    - #### beanHasScopeDefined

          @Message(id=10510,
                   value="Bean {0} has a scope defined.",
                   format=MESSAGE_FORMAT)
          String beanHasScopeDefined​(Class<?> clazz)

    - #### beanIsSLSBOrSingleton

          @Message(id=10515,
                   value="Bean {0} is a SLSB or Singleton. Leaving scope unmodified.",
                   format=MESSAGE_FORMAT)
          String beanIsSLSBOrSingleton​(Class<?> clazz)

    - #### beansFound

          @Message(id=10520,
                   value="Beans found for {0} : {1}",
                   format=MESSAGE_FORMAT)
          String beansFound​(Type type,
                            Set<javax.enterprise.inject.spi.Bean<?>> beans)

    - #### discoveredCDIBeanApplication

          @Message(id=10525,
                   value="Discovered CDI bean which is javax.ws.rs.core.Application subclass {0}.",
                   format=MESSAGE_FORMAT)
          String discoveredCDIBeanApplication​(String classname)

    - #### discoveredCDIBeanJaxRsProvider

          @Message(id=10530,
                   value="Discovered CDI bean which is a JAX-RS provider {0}.",
                   format=MESSAGE_FORMAT)
          String discoveredCDIBeanJaxRsProvider​(String classname)

    - #### discoveredCDIBeanJaxRsResource

          @Message(id=10535,
                   value="Discovered CDI bean which is a JAX-RS resource {0}.",
                   format=MESSAGE_FORMAT)
          String discoveredCDIBeanJaxRsResource​(String classname)

    - #### doingALookupForBeanManager

          @Message(id=10540,
                   value="Doing a lookup for BeanManager in {0}",
                   format=MESSAGE_FORMAT)
          String doingALookupForBeanManager​(String name)

    - #### errorOccurredLookingUpServletContext

          @Message(id=10545,
                   value="Error occurred trying to look up via ServletContext.")
          String errorOccurredLookingUpServletContext()

    - #### errorOccurredLookingUpViaCDIUtil

          @Message(id=10550,
                   value="Error occurred trying to look up via CDI util.")
          String errorOccurredLookingUpViaCDIUtil()

    - #### foundBeanManagerAtJavaApp

          @Message(id=10555,
                   value="Found BeanManager at java:app/BeanManager")
          String foundBeanManagerAtJavaApp()

    - #### foundBeanManagerAtJavaComp

          @Message(id=10560,
                   value="Found BeanManager at java:comp/BeanManager")
          String foundBeanManagerAtJavaComp()

    - #### foundBeanManagerInServletContext

          @Message(id=10565,
                   value="Found BeanManager in ServletContext")
          String foundBeanManagerInServletContext()

    - #### foundBeanManagerViaCDI

          @Message(id=10570,
                   value="Found BeanManager via CDI Util")
          String foundBeanManagerViaCDI()

    - #### noCDIBeansFound

          @Message(id=10575,
                   value="No CDI beans found for {0}. Using default ConstructorInjector.",
                   format=MESSAGE_FORMAT)
          String noCDIBeansFound​(Class<?> clazz)

    - #### noLookupInterface

          @Message(id=10580,
                   value="No lookup interface found for {0}",
                   format=MESSAGE_FORMAT)
          String noLookupInterface​(Class<?> clazz)

    - #### skippingValidationOutsideResteasyContext

          @Message(id=10585,
                   value="JaxrsInjectionTarget skipping validation outside of Resteasy context")
          String skippingValidationOutsideResteasyContext()

    - #### typeWillBeUsedForLookup

          @Message(id=10590,
                   value="{0} will be used for {1} lookup",
                   format=MESSAGE_FORMAT)
          String typeWillBeUsedForLookup​(Type type,
                                         Class<?> clazz)

    - #### unableToFindCDIClass

          @Message(id=10595,
                   value="Unable to find CDI class ")
          String unableToFindCDIClass()

    - #### unableToFindServletContextClass

          @Message(id=10600,
                   value="Unable to find ServletContext class.")
          String unableToFindServletContextClass()

    - #### unableToLookupBeanManager

          @Message(id=10605,
                   value="Unable to lookup BeanManager.")
          String unableToLookupBeanManager()

    - #### unableToObtainBeanManager

          @Message(id=10610,
                   value="Unable to obtain BeanManager from {0}",
                   format=MESSAGE_FORMAT)
          String unableToObtainBeanManager​(String name)

    - #### unableToObtainResteasyCdiExtension

          @Message(id=10615,
                   value="Unable to obtain ResteasyCdiExtension instance.")
          String unableToObtainResteasyCdiExtension()

    - #### unableToPerformJNDILookups

          @Message(id=10620,
                   value="Unable to perform JNDI lookups. You are probably running on GAE.")
          String unableToPerformJNDILookups()

    - #### usingCdiConstructorInjector

          @Message(id=10625,
                   value="Using CdiConstructorInjector for class {0}.",
                   format=MESSAGE_FORMAT)
          String usingCdiConstructorInjector​(Class<?> clazz)

    - #### usingInterfaceForLookup

          @Message(id=10630,
                   value="Using {0} for lookup of Session Bean {1}.",
                   format=MESSAGE_FORMAT)
          String usingInterfaceForLookup​(Type type,
                                         Class<?> clazz)